Shopware 6 Klarna Payments Plugin Installations-Probleme

Hallo Community,
ich bekomme leider bei der Installation des Klarna Payment plugins folgende Fehlermeldung:

KlarnaPayment\Installer\Modules\PaymentMethodInstaller::construct(): Argument #2 ($salesChannelRepository) must be of type Shopware\Core\Framework\DataAbstractionLayer\EntityRepository, Swag\Markets\DataAbstractionLayer\SalesChannelRepositoryDecorator given, called in /home/_______/______/custom/plugins/KlarnaPayment/src/Installer/KlarnaInstaller.php on line 98

Ich habe leider nach einem erfolglosen Update auf eine neuer Shopwareversion, ein altes Backup aufspielen müssen.

Alle Plugins funktionieren fehlerfrei, ausgenommen von Klarna Payments. Der Versuch der Neuinstallation bringt die obige Fehlermeldung.

Hat jemand eine Idee an was das liegen kann?

1 Like